unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeeEdit,
  VCLTee.TeEngine, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.TeeComma,
  Vcl.StdCtrls, VCLTee.TeeWorldSeries, VCLTee.TeeSHP, Bde.DBTables, Data.Bind.EngExt,
  Vcl.Bind.DBEngExt, Vcl.Bind.Grid, System.Rtti, System.Bindings.Outputs,
  Vcl.Bind.Editors, Data.Bind.Components, Data.Bind.Grid, Data.Bind.DBScope,
  Vcl.Grids, Vcl.ComCtrls, Data.DB;

type
  TForm1 = class(TForm)
    ChartEditor1: TChartEditor;
    TeeCommander1: TTeeCommander;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Table1: TTable;
    DataSource1: TDataSource;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Chart1: TChart;
    TabSheet2: TTabSheet;
    StringGrid1: TStringGrid;
    BindingsList1: TBindingsList;
    BindSourceDB1: TBindSourceDB;
    LinkGridToDataSourceBindSourceDB1: TLinkGridToDataSource;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
    CurMapfile : String;
  public
    { Public-Deklarationen }
  end;

  TIntegerBytes=Array[0..3] of Byte;


var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  NewMap : TWorldSeries;
begin
  Chart1.Legend.Hide;
  Chart1.Axes.Hide;
  Chart1.Walls.Hide;

  Chart1.Color:=clWhite;
  Chart1.View3D:=False;
  Chart1.Title.Caption:='Map Test';

  Chart1.Legend.Visible := true;

  Chart1.Zoom.KeepAspectRatio:=True;

  NewMap := TWorldSeries.Create(Self);

  CurMapfile := IncludeTrailingPathDelimiter(ExtractFilePath(ParamStr(0))) + 'vg2500_lan.shp';

  LoadMap(NewMap, CurMapfile, Table1, 'GEN', 'RS');

  NewMap.Color := clWhite;

  NewMap.ParentChart := Chart1;
end;

end.
